Bug 1912688 - Duplicated entries for VIP hosts are added to /etc/hosts in edge nodes
Summary: Duplicated entries for VIP hosts are added to /etc/hosts in edge nodes
Keywords:
Status: POST
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-tripleoclient
Version: 16.1 (Train)
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: z4
: 16.2 (Train on RHEL 8.4)
Assignee: Takashi Kajinami
QA Contact: Joe H. Rahme
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-05 08:16 UTC by Takashi Kajinami
Modified: 2022-07-25 03:47 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:
bdobreli: automate_bug+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1911792 0 None None None 2021-01-14 17:45:54 UTC
Launchpad 1911885 0 None None None 2021-01-15 09:33:12 UTC
OpenStack gerrit 844488 0 None MERGED Dedup host entries in the exported data for stacks 2022-06-09 16:09:42 UTC
Red Hat Issue Tracker OSP-6099 0 None None None 2022-02-05 09:13:02 UTC

Description Takashi Kajinami 2021-01-05 08:16:58 UTC
Description of problem:

After deploying the edge stack, we noticed that /etc/hosts in undercloud and overcloud nodes in the edge site has duplicated hosts entries for VIP.
Each hosts entries have different IPs, but only one set of these entries have correct IPs.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Follow the documentation[1] to set up a DCN deployment
 [1] https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/16.1/html-single/distributed_compute_node_and_storage_deployment/index

Actual results:
/etc/hosts in undercloud and edge nodes have duplicated hosts entries for vip hosts

Expected results:
/etc/hosts in undercloud and edge nodes have only correct hosts entries for vip hosts

Additional info:

Comment 7 Chris Fields 2021-01-20 14:21:39 UTC
Red Hat QE confirms that they see the same behavior for duplicated/extra entries in /etc/hosts on the undercloud.  This does not cause any know issues.  This bug will be scheduled for fix in a future OpenStack release.


Note You need to log in before you can comment on or make changes to this bug.